#!/bin/bash
set -e

apt-get -y update
apt-get -y upgrade
apt-get install -y openjdk-8-jdk openjdk-8-jre expect openssh-server openssh-client net-tools curl wget nano gettext
java_path=`update-alternatives --display java | grep java-8 | grep '^/' | cut -f 1 -d' ' | sed 's/\(.*\)\/java/\1/'`
jdk_path=`update-alternatives --display jstack | grep java-8 | grep '^/' | cut -f 1 -d' ' | sed 's/\(.*\)\/jstack/\1/'`
if [ "$jdk_path" == "" ]; then
 if [ "$version" == "11" ]; then
  jdk_path=$java_path
 elif [ -L "/usr/bin/jstack" ]; then
  jdk_path=/usr/bin/jstack
  while [[ -L ${jdk_path} && "$(ls -l "${jdk_path}")" =~ -\>\ (.*) ]]
  do
    jdk_path="${BASH_REMATCH[1]}"
  done
  jdk_path=`echo $jdk_path | sed 's/\(.*\)\/jstack/\1/'`
 fi
 update-alternatives --install "/usr/bin/jstack" "jstack" "$jdk_path/jstack" 1
 update-alternatives --install "/usr/bin/jcmd" "jcmd" "$jdk_path/jcmd" 1
 update-alternatives --install "/usr/bin/jmap" "jmap" "$jdk_path/jmap" 1
fi
update-alternatives --set "java" "$java_path/java"
update-alternatives --set "jstack" "$jdk_path/jstack"
update-alternatives --set "jcmd" "$jdk_path/jcmd"
update-alternatives --set "jmap" "$jdk_path/jmap"
