#!/bin/bash

WCS_CONFIG=$1
WCS_IP=$2
WCS_OAM_IP=$3
IS_DEFAULTS=$4
CDN_ROLE=$5
CDN_ENTRY_POINT=$6

if [ -e $WCS_CONFIG ]; then 

 if [[ "$IS_DEFAULTS" == "--defaults" ]]; then

  sed -i -e "s/^\(ip .*=\).*\$/\1$WCS_IP/" $WCS_CONFIG
  sed -i -e "s/^\(ip_local .*=\).*\$/\1$WCS_IP/" $WCS_CONFIG

  if [[ "$WCS_OAM_IP" != "none" ]]; then
   echo -e "\nstats=true" >> $WCS_CONFIG
   echo "wcsoam_ip=$WCS_OAM_IP" >> $WCS_CONFIG
   echo "wcsoam_port=7777" >> $WCS_CONFIG
   echo "wcsoam_sha_salt=123456789" >> $WCS_CONFIG
  fi

  echo -e "\ncdn_enabled=true" >> $WCS_CONFIG
  echo "cdn_ip=$WCS_IP" >> $WCS_CONFIG
  if [[ "$CDN_ENTRY_POINT" != "" ]]; then
   echo "cdn_point_of_entry=$CDN_ENTRY_POINT" >> $WCS_CONFIG 
  fi
  echo "cdn_role=$CDN_ROLE" >> $WCS_CONFIG
  echo "cdn_nodes_resolve_ip=false" >> $WCS_CONFIG
 fi

else
 echo "Configuration file $WCS_CONFIG is not found!"
 exit 1
fi

exit 0